Create a topic
curl --request POST \
--url https://app.lettr.com/api/audience/topics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Product updates",
"description": "<string>",
"default_subscription": "opt_in",
"visibility": "public"
}
'import requests
url = "https://app.lettr.com/api/audience/topics"
payload = {
"name": "Product updates",
"description": "<string>",
"default_subscription": "opt_in",
"visibility": "public"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Product updates',
description: '<string>',
default_subscription: 'opt_in',
visibility: 'public'
})
};
fetch('https://app.lettr.com/api/audience/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Topic retrieved successfully.",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Product updates",
"description": "Monthly product updates",
"default_subscription": "opt_in",
"visibility": "public",
"contacts_count": 12,
"created_at": "2023-11-07T05:31:56Z"
}
}Audience Topics
Create a topic
Create a topic. The default_subscription field is set at creation and cannot be changed later. Requires the audience:write scope and is blocked for sandbox API keys.
POST
/
audience
/
topics
Create a topic
Create a topic. The
default_subscription field is set at creation and cannot be changed later. Requires the audience:write scope and is blocked for sandbox API keys.Authorizations
API key for authentication
Body
application/json
Maximum string length:
255Example:
"Product updates"
Maximum string length:
1000Defaults to opt_in when omitted.
Available options:
opt_in, opt_out Example:
"opt_in"
Defaults to private when omitted.
Available options:
private, public Example:
"public"
Was this page helpful?
⌘I